#!/usr/bin/perl
#
#    Quality of Service Webmin Module
#    Copyright (C) 2001 by Level 7 Software
#
#    Author: Dan Damian <dand@level7.ro>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

require './cbq-lib.pl';

&header("CBQ Config", undef, undef, 1, 1, undef,
	"$header_note $website_link");

print "<hr>\n";
if (!has_command($config{'cbq_init'})) {
    print "<p>ERROR:  <b><tt>cbq.init</tt></b> script could not be found. Please modify the path accordingly in the <a href=\"/config.cgi?$module_name\">module config</a>.<p><hr>";
    footer("/", "index");
    exit;
}

if (!-x $CONF_DIR) {
    print "<p>ERROR: cbq.init <b><tt>$CONF_DIR</tt></b> directory is not present. Please modify the path accordingly in the <a href=\"/config.cgi?$module_name\">module config</a>.<p><hr>";
    footer("/", "index");
    exit;
}

print "<table cellpadding=4 border width=100%>\n";
print "<tr $tb><th colspan=2>Classes</th></tr>";
print "<tr $cb><td width=100% align=center><table cellspacing=1 cellpadding=4 border=0 bgcolor=#a0a0a0><tr><th>ID</th><th>Name</th><th>Parent</th><th>Rate</th><th>Bounded</th><th>Delete</th></tr>";

@classes = &parse_config_dir();

foreach $c (@classes) {
    $bgc = ($i % 2) ? '#e0e0e0' : '#f0f0f0';
    print "<tr align=center bgcolor=$bgc><td>$c->{'classid'}</td><td><a href=\"edit_class.cgi?classid=$c->{'classid'}\">$c->{'classname'}</a></td><td>&nbsp;$c->{'parent'}&nbsp;</td><td>&nbsp;$c->{'rate'}&nbsp;</td><td>&nbsp;$c->{'bounded'}&nbsp;</td><td> [<a href=\"delete_class.cgi?classid=$c->{'classid'}\">x</a>]</td></tr>";
    $i++;
}

print "</table><p>";

print "<table cellpadding=0 cellspacing=0 width=400 border=0><tr>",

    "<td align=center width=30% valign=top><form action=\"cbq_init.cgi\"><input type=hidden name=action value=start><input type=submit value=\"Start cbq.init\"></form></td>",

    "<td align=center width=30% valign=top><form action=\"cbq_init.cgi\"><input type=hidden name=action value=stop><input type=submit value=\"Stop cbq.init\"></form></td>",

    "<td align=center width=30% valign=top><form name=fm action=\"new_class.cgi\"><input type=submit value=\"New Class\"></form></td>",
    
    "</tr></table>";


print "<p align=right>[v.0.1.0]</p>";
print "</td></tr></table><p>\n";


&footer();

### END of index.cgi ###.
